package shooting1;
import java.awt.*;
import java.awt.event.*;

/**
 * Explosion Particle class
 * Movement, draw methods
*/
public class Particle extends GameObject
{
	double direction;
	double speed;
	double speedX;
	double speedY;
	int size;
	
	Particle()
	{
		active = false;
	}
	
	/**
	 * Implement the movement, called once per main loop
	 */
	public void move()
	{
		x += speedX;
		y += speedY;
		size--;
		
		if ( (x < 0)||(500 < x)||(y < 0)||(500 < y) )
		{
			active = false;
		}
		if (size < 0)
		{
			active = false;
		}
	}
	
	/**
	 * draw method
	 * called per main loop
	 * @param g graphic handler
	 */
	public void draw(Graphics g)
	{
		g.setColor(Color.gray);
		g.drawOval((int)(x-size/2), (int)(y-size/2), size, size);
	}
	
	//Initialization
	public void activate(double ix, double iy, double idirection, double ispeed)
	{
		x = ix;
		y = iy;
		direction = idirection;
		speed = ispeed;
		active = true;			//Activate bullet instance
		size = 30;
		
		double radian;
		radian = Math.toRadians(direction);
		speedX = speed * Math.cos(radian);
		speedY = speed * Math.sin(radian);
	}
}

